Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0026959
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Openbravo ERP] 07. Sales managementmajoralways2014-06-27 10:462014-08-08 18:54
ReporterVictorVillarView Statuspublic 
Assigned ToAtulOpenbravo 
PriorityurgentResolutionfixedFixed in Version
StatusclosedFix in branchFixed in SCM revision5b802926a14d
ProjectionnoneETAnoneTarget Version3.0PR14Q4
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionpiSCM revision 
Review Assigned Torafaroda
Web browser
ModulesCore
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0026959: Wrong Reservation status under some circumstances

DescriptionWrong Reservation status under some circumstances.
Sales order with automatical reservation for a product( there is not stock ).
The reservation status is Partially reserved, but should be Not Reserved, because there is no stock
Steps To ReproducePlease keep in mind to have the reservations functionality available [1]
[1] http://wiki.openbravo.com/wiki/Stock_Reservation [^]

As group admin role,
Go to Product window,
 create a new one,
   Select the General Sales Price List
Go to Sales Order window,
  create a new Sales Order window for US
 select the Product created before
 define the Automatic option as Stock reservation method
Complete it.
Realise in the header that the Reservation Status is Partially Reserved but should be Not Reserved
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]
related to defect 0026831 closedAtulOpenbravo Modules Sales order shows Reservation Status as Partially Reserved. Whereas no reservation is present against particular order. 
related to defect 0035958 closedcollazoandy4 Openbravo ERP Reactivating a sales order and decreasing the ordered quantity that is already reserved causes wrong reservation 

-  Notes
(0069085)
hgbot (developer)
2014-08-05 08:52

Repository: erp/devel/pi
Changeset: 5b802926a14dc0b41e90aab5bfef288d7aaefd6c
Author: Atul Gaware <atul.gaware <at> openbravo.com>
Date: Mon Aug 04 19:31:00 2014 +0530
URL: http://code.openbravo.com/erp/devel/pi/rev/5b802926a14dc0b41e90aab5bfef288d7aaefd6c [^]

Fixes Issue 0026959: Wrong Reservation status under some circumstances

---
M src-db/database/model/triggers/M_RESERVATION_TRG.xml
---
(0069087)
rafaroda (developer)
2014-08-05 08:58

Now Reservation Status is Not Reserved when Sales Order is booked with Stock Reservation Method option set to Automatic: see https://drive.google.com/folderview?id=0B649lz4ZYJcHNVhRRVJpREM0aWc&usp=sharing [^]
(0069264)
hudsonbot (developer)
2014-08-08 18:54

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/4450016dee64 [^]
Maturity status: Test

- Issue History
Date Modified Username Field Change
2014-06-27 10:46 VictorVillar New Issue
2014-06-27 10:46 VictorVillar Assigned To => jonalegriaesarte
2014-06-27 10:46 VictorVillar Modules => Core
2014-06-27 10:46 VictorVillar Triggers an Emergency Pack => No
2014-06-27 10:46 VictorVillar Issue Monitored: networkb
2014-07-10 11:53 ngarcia Relationship added related to 0026831
2014-07-24 13:39 jonalegriaesarte Assigned To jonalegriaesarte => AtulOpenbravo
2014-08-04 22:03 AtulOpenbravo Status new => scheduled
2014-08-04 22:03 AtulOpenbravo fix_in_branch => pi
2014-08-05 08:00 AtulOpenbravo Review Assigned To => rafaroda
2014-08-05 08:00 AtulOpenbravo fix_in_branch pi =>
2014-08-05 08:52 hgbot Checkin
2014-08-05 08:52 hgbot Note Added: 0069085
2014-08-05 08:52 hgbot Status scheduled => resolved
2014-08-05 08:52 hgbot Resolution open => fixed
2014-08-05 08:52 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/devel/pi/rev/5b802926a14dc0b41e90aab5bfef288d7aaefd6c [^]
2014-08-05 08:58 rafaroda Note Added: 0069087
2014-08-05 08:58 rafaroda Status resolved => closed
2014-08-08 18:54 hudsonbot Checkin
2014-08-08 18:54 hudsonbot Note Added: 0069264
2017-05-29 17:22 aferraz Relationship added related to 0035958


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker